Package org.wso2.carbon.logging.appender.http.models

## Class HttpConnectionConfig

- java.lang.Object
- - org.wso2.carbon.logging.appender.http.models.HttpConnectionConfig

-     public class HttpConnectionConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpConnectionConfig​(org.apache.logging.log4j.core.config.Configuration configuration, org.apache.logging.log4j.core.LoggerContext loggerContext, String name, URL url, String method, int connectTimeoutMillis, int readTimeoutMillis, String username, String password, org.apache.logging.log4j.core.config.Property[] headers, SslConfiguration sslConfiguration, boolean verifyHostname)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHeader​(String key, String value)` |
    `org.apache.logging.log4j.core.config.Configuration` | `getConfiguration()` |
    `int` | `getConnectTimeoutMillis()` |
    `org.apache.logging.log4j.core.config.Property[]` | `getHeaders()` |
    `org.apache.logging.log4j.core.LoggerContext` | `getLoggerContext()` |
    `String` | `getMethod()` |
    `String` | `getName()` |
    `String` | `getPassword()` |
    `int` | `getReadTimeoutMillis()` |
    `SslConfiguration` | `getSslConfiguration()` |
    `URL` | `getUrl()` |
    `String` | `getUsername()` |
    `boolean` | `isVerifyHostname()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnectionConfig

          public HttpConnectionConfig​(org.apache.logging.log4j.core.config.Configuration configuration,
                                      org.apache.logging.log4j.core.LoggerContext loggerContext,
                                      String name,
                                      URL url,
                                      String method,
                                      int connectTimeoutMillis,
                                      int readTimeoutMillis,
                                      String username,
                                      String password,
                                      org.apache.logging.log4j.core.config.Property[] headers,
                                      SslConfiguration sslConfiguration,
                                      boolean verifyHostname)

  - ### Method Detail

    - #### getConfiguration

          public org.apache.logging.log4j.core.config.Configuration getConfiguration()

    - #### getLoggerContext

          public org.apache.logging.log4j.core.LoggerContext getLoggerContext()

    - #### getName

          public String getName()

    - #### getUrl

          public URL getUrl()

    - #### getMethod

          public String getMethod()

    - #### getConnectTimeoutMillis

          public int getConnectTimeoutMillis()

    - #### getReadTimeoutMillis

          public int getReadTimeoutMillis()

    - #### getUsername

          public String getUsername()

    - #### getPassword

          public String getPassword()

    - #### getHeaders

          public org.apache.logging.log4j.core.config.Property[] getHeaders()

    - #### getSslConfiguration

          public SslConfiguration getSslConfiguration()

    - #### isVerifyHostname

          public boolean isVerifyHostname()

    - #### addHeader

          public void addHeader​(String key,
                                String value)